<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getEmailVerification.
 */

$op = $service->operationGetEmailVerification();

/*
 * Ustawienie id zamówienia.
 */

$op->setOrderID('1234');

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $verifications = $op->getEmailVerification();
else
    die("error");

/*
 * Przykład użycia danych z odpowiedzi.
 */

print $verifications->email;
print $verifications->verified == TRUE ? "Y" : "N";
print $verifications->verificationLinkValidityDate;
if ($verifications->verificationDate)
    print $verifications->verificationDate;
if ($verifications->verificationValidity)
    print $verifications->verificationValidity;
if ($verifications->sendDate)
    print $verifications->sendDate;
