<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getOrderState.
 */

$op = $service->operationGetOrderState();

/*
 * Ustawienie jednego parametru operacji - orderID.
 */

$op->setOrderID('1234');

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $orderVerifications = $op->getOrderVerifications();
else
    die("error");

/*
 * Przejrzenie danych zwróconych w odpowiedzi.
 * Należy zwrócić uwagę, że pole expireDate może nie być dostępne.
 */

print $op->getLastUpdateDate();
print $op->getOrderStatus();

foreach ($orderVerifications as $verification) {
        print $verification->expireDate;
        print $verification->state;
        print $verification->type;
}
