<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getProductList.
 */

$op = $service->operationGetProductList();

/*
 * Opcjonalnie, zażądanie funkcji skrótu.
 */

$op->setHashAlgorithm(true);

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $products = $op->getProducts();
else
    die("error");

/*
 * Przejrzenie danych zwróconych w odpowiedzi.
 */

foreach ($products as $product) {
    print $product->code;
    print $product->type;
    print $product->validityPeriod;
    if ($product->supportedHashAlgorithms)
        foreach ($product->supportedHashAlgorithms as $hashAlgorithm) {
            print $hashAlgorithm;
        }
}
