<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getSanVerificationState.
 */

$op = $service->operationGetSanVerificationState();

/*
 * Ustawienie obowiązkowego parametru orderID operacji.
 */

$op->setOrderID('1234');

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $verifications = $op->getSanVerifications();
else
    die("error");

/*
 * Przejrzenie danych zwróconych w odpowiedzi.
 * Należy zwrócić uwagę, że nie wszystkie pola odpowiedzi będą dostępne.
 * Zależy to od opcji wybranych przy żądaniu.
 */

foreach ($verifications as $verification) {
    print $verification->FQDN;

    $manual = $verification->manualVerification;
    print $manual->state;
    print $manual->expireDate;
    print $manual->info;

    $systemVerifications = $verification->systemVerification;

    foreach ($systemVerifications->method as $method) {
        print $method;
    }
}
