<?php
/**
 * Partner API Library
 *
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji performSanVerification.
 */

$op = $service->operationPerformSanVerification();

/*
 * Ustawienie obowiązkowego parametru code operacji.
 */

$op->setCode('1234');

/*
 * Wywołanie operacji.
 * Odpowiedź zawiera tylko obiekt responseHeader.
 */

if ($op->call())
    $header = $op->getResponseHeader();
else
    die("error");
