<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji getExpiringCertificates.
 */

$op = $service->operationGetExpiringCertificates();

/*
 * Ustawienie poszczególnych parametrów operacji.
 */

$op->setValidityDaysLeft(30)->setPageNumber(1);

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $certificates = $op->getExpiringCertificates();
else
    die("error");

/*
 * Przejrzenie danych zwróconych w odpowiedzi.
 */

foreach ($certificates as $certificate) {
    print $certificate->serialNumber;
    print $certificate->expiringDate;
    print $certificate->validityDaysLeft;
    print $certificate->orderID;
}
