<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji revokeCertificate.
 */

$op = $service->operationRevokeCertificate();

/*
 * Ustawienie poszczególnych parametrów operacji.
 * Tylko serialNumber jest wymagany.
 */

$op->setSerialNumber('00:11:22:33:44:55:66:77:88:99:aa:bb:cc:dd:ee:ff')
   ->setNote('Notatka')->setKeyCompromitationDate('2013-05-01')
   ->setRevocationReason(PartnerAPITypeRevocationReasonEnum::KEYCOMPROMISE);

/*
 * Wywołanie operacji.
 */

if ($op->call())
    print "OK";
else
    die("error");
