<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2020 Asseco Data Systems SA
 * @license license.txt
 */

/*
 * Utworzenie obietu usługi. Patrz plik start.php.
 */

require_once 'certumPartnerAPI/service.php';
require_once 'certumPartnerAPI/types/typeDocumentTypeEnum.php';
$service = new PartnerAPIService('userName', 'password');

/*
 * Pobranie obiektu operacji verifyOrder.
 */

$op = $service->operationVerifyOrder();

/*
 * Ustawienie poszczególnych parametrów operacji.
 */

$op->setOrderID('1234')->setNote('Notatka');

/*
 * Opcjonalnie, dodanie dokumentu.
 */

$op->addDocument(PartnerAPITypeDocumentTypeEnum::PASSPORT, "Paszport",
        array('nazwaPliku' => 'trescPliku'));

/*
 * Wywołanie operacji.
 */

if ($op->call())
    $header = $op->getResponseHeader();
else
    die("error");
